Package com.massivecraft.factions.tag

## Enum FancyTag

- java.lang.Object
- - java.lang.Enum<FancyTag>
  - - com.massivecraft.factions.tag.FancyTag

All Implemented Interfaces:
  `Tag`, `java.io.Serializable`, `java.lang.Comparable<FancyTag>`, `java.lang.constant.Constable`

    public enum FancyTag
    extends java.lang.Enum<FancyTag>
    implements Tag

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ALLIES_LIST` |
`ENEMIES_LIST` |
`OFFLINE_LIST` |
`ONLINE_LIST` |
`TRUCES_LIST` |

### Field Summary

### Fields inherited from interface com.massivecraft.factions.tag.Tag

`ARBITRARY_LIMIT`

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static boolean` | `anyMatch​(java.lang.String text)` |
`boolean` | `foundInString​(java.lang.String test)` | Gets if the Tag can be found in the given String.
`static FancyTag` | `getMatch​(java.lang.String text)` |
`java.util.List<mkremins.fanciful.FancyMessage>` | `getMessage​(java.lang.String text, Faction faction, FPlayer player, java.util.Map<java.util.UUID,​java.lang.String> groupMap)` |
`java.lang.String` | `getTag()` | Gets the Tag's string representation.
`static java.util.List<mkremins.fanciful.FancyMessage>` | `parse​(java.lang.String text, Faction faction, FPlayer player, java.util.Map<java.util.UUID,​java.lang.String> groupMap)` |
`static FancyTag` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static FancyTag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALLIES_LIST

    public static final FancyTag ALLIES_LIST

#### ENEMIES_LIST

    public static final FancyTag ENEMIES_LIST

#### TRUCES_LIST

    public static final FancyTag TRUCES_LIST

#### ONLINE_LIST

    public static final FancyTag ONLINE_LIST

#### OFFLINE_LIST

    public static final FancyTag OFFLINE_LIST

### Method Detail

#### values

    public static FancyTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FancyTag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### parse

    public static java.util.List<mkremins.fanciful.FancyMessage> parse​(java.lang.String text,
                                                                       Faction faction,
                                                                       FPlayer player,
                                                                       java.util.Map<java.util.UUID,​java.lang.String> groupMap)

#### anyMatch

    public static boolean anyMatch​(java.lang.String text)

#### getMatch

    public static FancyTag getMatch​(java.lang.String text)

#### getTag

    public java.lang.String getTag()

Description copied from interface: `Tag`
Gets the Tag's string representation.

Specified by:
  `getTag` in interface `Tag`
Returns:
  tag

#### foundInString

    public boolean foundInString​(java.lang.String test)

Description copied from interface: `Tag`
Gets if the Tag can be found in the given String.

Specified by:
  `foundInString` in interface `Tag`
Parameters:
  `test` - string to test
Returns:
  true if the tag is found in this string

#### getMessage

    public java.util.List<mkremins.fanciful.FancyMessage> getMessage​(java.lang.String text,
                                                                     Faction faction,
                                                                     FPlayer player,
                                                                     java.util.Map<java.util.UUID,​java.lang.String> groupMap)